Package org.apache.tools.ant.filters

# Class TokenFilter.ReplaceString

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.filters.TokenFilter.ChainableReaderFilter
org.apache.tools.ant.filters.TokenFilter.ReplaceString

All Implemented Interfaces:
  `java.lang.Cloneable`, `ChainableReader`, `TokenFilter.Filter`

Enclosing class:
  TokenFilter

    public static class TokenFilter.ReplaceString
    extends TokenFilter.ChainableReaderFilter

Simple replace string filter.

## Field Summary

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ReplaceString()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String` | `filter​(java.lang.String line)` | Filter a string 'line' replacing from with to (Copy&Paste from the Replace task)
`void` | `setFrom​(java.lang.String from)` | the from attribute
`void` | `setTo​(java.lang.String to)` | the to attribute

### Methods inherited from class org.apache.tools.ant.filters.TokenFilter.ChainableReaderFilter

`chain, setByLine`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReplaceString

public ReplaceString()

## Method Details

### setFrom

public void setFrom​(java.lang.String from)
the from attribute

Parameters:
  `from` - the string to replace

### setTo

public void setTo​(java.lang.String to)
the to attribute

Parameters:
  `to` - the string to replace 'from' with

### filter

public java.lang.String filter​(java.lang.String line)
Filter a string 'line' replacing from with to (Copy&Paste from the Replace task)

Parameters:
  `line` - the string to be filtered
Returns:
  the filtered line